### Method

# Adw NavigationSplitViewset_sidebar_width_unit

since: 1.4

#### Declaration [src]

    void
    adw_navigation_split_view_set_sidebar_width_unit (
      AdwNavigationSplitView* self,
      AdwLengthUnit unit
    )

#### Description [src]

Sets the length unit for minimum and maximum sidebar widths.

See `AdwNavigationSplitView:min-sidebar-width` and `AdwNavigationSplitView:max-sidebar-width`.

Available since: 1.4

Sets property | `Adw.NavigationSplitView:sidebar-width-unit`

#### Parameters

`unit`

  Type: `AdwLengthUnit`

  The length unit.